Subject: Re: bug#45821: 28.0.50; Add UDP support for Emacs on Windows

From: Robert Pluim <[email-masked]>
Date: Mon, 27 Sep 2021 18:47:47 +0200

>>>>> On Tue, 20 Jul 2021 17:41:05 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Robert Pluim <[email-masked]> writes:
    >>>> This patch from Robert Pluim adds that support, but needs somebody that
    >>>> actually uses Windows to test it.
    >>>> 
    >>>> As it stands you need to arrange for WORKING_SELECT_EMULATION to be
    >>>> defined.
    >>> 
    >>> Why do we need that #ifdef?  Leaving it there means this is dead code
    >>> that will never be tested.
    >> 
    >> Itʼs a WIP testing patch. If we applied it weʼd remove the ifdef (and
    >> maybe add a lisp-level control var to turn it off)

    Lars> I tried applying the patch and building on Windows and...  er...
    Lars> nothing happened?  That is, touching w32.c didn't lead to anything being
    Lars> compiled.  So I guess I don't understand how this works under Windows.
    Lars> (A mingw/non-mingw thing?)

    Lars> I still think it would be very nice if we had UDP support under Windows,
    Lars> so if somebody else could poke at this, that'd be cool.

Iʼve resurrected this patch, it seems to be working nicely. Adding a
lisp-level control variable seems more trouble than itʼs worth, I
think the risk of breaking stuff on all platforms is higher than
that of breaking stuff on Windows.

Are we too late for emacs-28?

Robert
--